[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.ApplyChanges

Sets the checked state in the widgetset class and redraws the control.

## Declaration

Source position: stdctrls.pp line 1349

`protected procedure TCustomCheckBox.ApplyChanges; virtual;`

## Description

ApplyChanges is a method used to send a SetState message to the widgetset class to update the visual appearance for the control. No actions are performed in the method if a handle has not been allocated for the control, or during component streaming.

ApplyChanges is called when a new value is assigned to the Checked or State properties.

## See also

TCustomCheckBox.State |  | The check, unchecked, or grayed state for the control.
TButtonControl.Checked |  | Indicates the checked state for the control as a Boolean value.